/*
** TleenX3 (Tlen.pl Client)
** Copyright (c) 2004 Hubert Sokoowski <who_ami@tlen.pl>
**                    Pawe Biliski <rael@fr.pl>
**
** This code is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License.
**
*/




#include "tlen.h"
#include "tlen-events.h"


void tc_open (Profile *p)
{
  if (!p)
  {
    tlen_debug ("p == NULL\n");
    return;
  }
  p->tc = tlen_connection_new (p->tlen_login, p->tlen_password);
  tlen_connection_open (p->tc, tlen_event_cb);
}

void tc_close (Profile *p)
{
  if (!p)
  {
    tlen_debug ("p == NULL\n");
    return;
  }
  if (p->tc)
  {
    tlen_connection_close (p->tc);
  }
}

