/*
** TleenX3 (Tlen.pl Client)
** Copyright (c) 2004 Hubert Sokoowski <who_ami@tlen.pl>
**                    Pawe Biliski <rael@fr.pl>
**
** This code is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License.
**
*/




#ifndef __WINDOW_CHAT_H__
#define __WINDOW_CHAT_H__


#include <gtk/gtk.h>

#include "lists.h"

void window_chat_button_send_clicked (GtkWidget *window);

void window_chat_append (const gchar *jid, const gchar *body,
                         const gchar *stamp, gboolean from);
void window_chat_close (GtkWidget *window);
void my_create_window_message (const gchar *jid, const gchar *message);
void window_message_button_ok_clicked (GtkWidget *window);
void window_chat_set_status (const gchar *jid, UserStatus status);

#endif

