/*
** TleenX3 (Tlen.pl Client)
** Copyright (c) 2004 Hubert Sokoowski <who_ami@tlen.pl>
**                    Pawe Biliski <rael@fr.pl>
**
** This code is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License.
**
*/




#ifndef __WINDOW_MAIN_H__
#define __WINDOW_MAIN_H__


#include <gtk/gtk.h>

#include "lists.h"

extern GtkTooltips *status_tooltips;

//types of rows in treeview model
enum{
  ROW_TYPE_USER = 0, //row contains user information
  ROW_TYPE_LABEL, //label: 'oczekiwanie' or 'brak autoryzacji'
  ROW_TYPE_GROUP, //name of group
};

void my_create_window_main (Profile *p);
void window_main_treeview_update();
void window_main_close ();
void window_main_set_status (UserStatus status);

#endif

