/*
** TleenX3 (Tlen.pl Client)
** Copyright (c) 2004 Hubert Sokoowski <who_ami@tlen.pl>
**                    Pawe Biliski <rael@fr.pl>
**
** This code is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License.
**
*/





#ifndef __WINDOW_MISC_H__
#define __WINDOW_MISC_H__


#include <gtk/gtk.h>
#include <libtlen2/libtlen2.h>

typedef void (*YesNoFunc) (gpointer d1, gpointer d2);

void window_yesno_close ();
void window_yesno_button_cancel_clicked ();
void window_yesno_button_ok_clicked ();
void my_create_window_yesno (const gchar *question, YesNoFunc funcok,
                             YesNoFunc funcno,
                             gpointer d1, gpointer d2);
void my_create_window_contact (const gchar *id, gint type);
void window_contact_close (GtkWidget *window);
void window_contact_ok_clicked (GtkWidget *window);
void my_create_window_newmail (const gchar *from, const gchar *subject);
void my_create_window_webmsg (const gchar *from, const gchar *email,
                              const gchar *body);

#endif
