/*
** TleenX3 (Tlen.pl Client)
** Copyright (c) 2004 Hubert Sokoowski <who_ami@tlen.pl>
**                    Pawe Biliski <rael@fr.pl>
**
** This code is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License.
**
*/





#ifndef __MAIN_H__
#define __MAIN_H__


#include <gtk/gtk.h>
#include <libtlen2/libtlen2.h>

#include "lists.h"


enum {
  STATE_PROFILES,
  STATE_LOGGING,
  STATE_LOGGED
};

extern GtkWidget
  *window_main,
  *window_chat,
  *window_login,
  *window_profiles,
  *window_yesno,
  *window_card,
  *window_search,
  *window_profile;

extern
  gchar *config_dir;
extern
  Profile *profile;

extern gchar
  *dest,
  *datefg, *nickfg;


void  main_quit (void);
void profile_exit (UserState state);
void global_variables_free ();
#endif

