/*
** TleenX3 (Tlen.pl Client)
** Copyright (c) 2004 Hubert Sokoowski <who_ami@tlen.pl>
**                    Pawe Biliski <rael@fr.pl>
**
** This code is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License.
**
*/



#ifndef __WINDOW_TUBA_H__
#define __WINDOW_TUBA_H__

#include <gtk/gtk.h>
#include <libtlen2/libtlen2.h>

enum {
  SEARCH_TC_STATUS, SEARCH_TC_ID, SEARCH_TC_AGE, SEARCH_TC_GENDER,
  SEARCH_TC_CITY, SEARCH_TC_FIRSTNAME, SEARCH_TC_SURNAME, SEARCH_TC_NICK,
  SEARCH_TC_EMAIL, SEARCH_TC_LOOK, SEARCH_TC_SCHOOL, SEARCH_TC_JOB,
  SEARCH_TC_VOICE, SEARCH_TC_PLANS, SEARCH_TC_COLUMNS
};//identyfikatory kolumn w treeview okna wyszukiwania




void window_card_close (void);
void window_card_button_export_clicked ();
void window_card_button_import_clicked ();
void window_card_update (TlenPubdirItem *item);
void window_card_hide_thobber();
void window_card_show_thobber();
void window_search_close (void);
void window_search_update();
void pubdir_list_clear();
void pubdir_list_add(TlenPubdirItem *pubdir);
void window_search_check(gchar *id);
void my_create_window_search();
void window_search_button_ok_clicked ();
void window_search_button_add_clicked ();
void window_search_button_message_clicked ();


#endif
